<?php
echo 'Php epoch: ' . date('Y-m-d G:i:s', 0);
//phpinfo();
echo '<p>'.  microtime().'</p>';
echo sha1(uniqid(microtime(), true));
echo '<br/>';
echo sha1(uniqid(microtime(), true));
function StringToFloat( $val )
{
    preg_match( "#^([\+\-]|)([0-9]*)(\.([0-9]*?)|)(0*)$#", trim($val), $o );
    if(count($o) == 0 )
        return 'NaN';
    return floatval($o[1].sprintf('%d',$o[2]).($o[3]!='.'?$o[3]:''));
}

echo '<p>'.StringToFloat('0p').'</p>';
echo intval('');
?>